# Generated by Django 4.1.3 on 2022-11-07 07:40

from django.db import migrations, models
import django.db.models.deletion
import jobs.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
                ('slug', models.SlugField(blank=True, max_length=200)),
                ('description', models.TextField(blank=True, max_length=1000, null=True)),
                ('created_on', models.DateTimeField(auto_now=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now_add=True, null=True)),
            ],
            options={
                'verbose_name': 'Categor',
                'verbose_name_plural': 'Categories',
                'ordering': ['-created_on'],
            },
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=101)),
                ('slug', models.SlugField(blank=True, max_length=200, unique=True)),
                ('job_type', models.CharField(choices=[('Full Time', 'Full Time'), ('Part Time', 'Part Time')], max_length=15)),
                ('description', models.TextField(blank=True, max_length=1000, null=True)),
                ('published_at', models.DateTimeField(auto_now=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('vacancy', models.IntegerField(default=0)),
                ('salary', models.IntegerField(default=0)),
                ('experience', models.IntegerField(default=0)),
                ('image', models.ImageField(blank=True, null=True, upload_to=jobs.models.upload_location)),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='jobs.category')),
            ],
        ),
    ]
